<?php
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
$loginn = $login['login'];
$krutoj = $row['krutoj'];
$sound =  $login['sound'] ;
$theme = $row['theme'];
$q1 = mysql_query( "select id from letters where id_to='{$id}' and new=1 and del_in=0;" );
$in1 = mysql_num_rows( $q1 );
$q2 = mysql_query( "select id from letters where id_to='{$id}' and del_in=0;" );
$in2 = mysql_num_rows( $q2 );
echo "<title>Личное</title>";
if ( 20 < $theme)
{
echo "<link rel=\"StyleSheet\" type=\"text/css\" href=\"../style/0".$s.".css\"></head><body><div class=\"logo\"></div>";
}
if ( 0 or 1 or 2 or 3 or 4 or 5  or 6 or 7 or 8 or 9 or 10 == $theme)
{
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>";
echo "<body>";



}
if ( 20 < $theme)
{
echo "<div class=\"title\">";
}
echo "Вуаля, <b>".$row['login']."</b>!</br>";
if ( 20 < $theme)
{
echo "</div><div class=\"b\">";
}
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/zdelano.wav\"></br>";
}
echo "<div class=t>";
echo "<b>".$row['login']."</b>! Здесь твой рабочий К-Ебинет!</div>";
//echo "</div>";
echo "<p align=\"left\">";
switch ( $mod )
{
case "a1" :
echo "Файловый менеджер:<br/>";

echo "&#187;<a href=\"../foto_pasport.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Добавить фото В паспорт</a><br/>";
echo "&#187;<a href=\"../prsm.php?id={$id}&amp;pass={$pass}\">Личный смайл</a><br/>\r\n";
echo "&#187; <a href=\"../foto.php?$ses&amp;mod=photo$takep2&amp;id={$id}&amp;pass={$pass}\">Фото в галерею (WAP2.0)</a><br/>";
echo "&#187; <a href=\"../foto.php?$ses&amp;mod=avatars$takep2&amp;id={$id}&amp;pass={$pass}\">Загрузить аватор (WAP2.0)</a><br/>";

print "&#187; <a href=\"../obmen/privelegii.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Купить наш аватор</a><br/>";

echo "&#187; <a href=\"../import.php?$mod=photo$takep2&amp;id={$id}&amp;pass={$pass}\">Импорт фотки</a><br/>";

echo "&#187; <a href=\"../import.php?mod=avatars$takep2&amp;id={$id}&amp;pass={$pass}\">Импорт аватора</a><br/>";

if($row["img"]!='')
echo "&#187; <a href=\"index.php?mod=a3&amp;$ses$takep2&amp;id={$id}&amp;pass={$pass}\">Удалить фото</a><br/>";


echo $fsize2;
break;

case "a2" :
echo "Результаты Голосования:<br/>";
echo $fsize1;
echo "<b>Кто отдал голос за ваше фото</b><br/>";
echo $divide;
echo $fsize2;
if(empty($page)) $page=0;
$query = mysql_query("select * from golos where login='".$id."';");
$num_of_rows=mysql_num_rows($query);
$total_mat_number=$num_of_rows;
$max = 10;
$total_pages=ceil($total_mat_number/$max);
$print = mysql_query("select * from golos where login='".$id."' order by who desc limit ".$page.",".($max).";");
$i = 1+$page;
while($arr = @mysql_fetch_array($print)) {
$usid=$arr["who"];
$whogolos = @mysql_query("select login from users where id=".$usid.";");
$idatas = @mysql_fetch_array($whogolos);
$login=$idatas["login"];
echo $fsize1;
echo ($i++).") <b>".$login."</b></a><br/>";
echo $fsize2;
}
echo $fsize1;
echo $divide;
echo $fsize2;
for ($num=0; $num<$total_pages; $num++){
$page_number=$num*$max;
echo $fsize1;
if ($page_number!=$page) {
echo "<a href=\"index.php?mod=a2&amp;id={$id}&amp;pass={$pass}&amp;page=$page_number$takep2\">".($num+1)."</a>|";
} else {
echo "".($num+1)."|";
}
echo $fsize2;
}
echo $fsize1;
echo "<br/>";
echo $divide;
echo "<a href=\"../galery.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">В галерею</a><br/>";
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/>";
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}\">Кабинет</a><br/>";
echo $fsize2;
break;

case "a3" :
echo $fsize1;
$myfotos = $row["img"];
$ras=explode(".", $myfotos);
$types=$ras[1];
if (!file_exists("photos/".$id.".".$types."")){
echo "У Вас не установлено фото!<br/>\n";
}else{
if (!ctype_digit($id)) { header("Location: index.php"); die; }
if(@mysql_query ("Update users set img ='' where id ='".$id."';")){
unlink ("photos/".$id.".".$types."");
echo "Ваше фото успешно удалено.<br/>";
}else{
echo "Ошибка удаления фото.<br/>";
}
}
echo $fsize2;
break;
case "a4" :
if ( 2 == $krutoj )
{
echo "Вы подписались на журнал анекдот! при каждом входе вам почтальён его будет менять.Вы платили не для того штоб читать его а штоб имели право его добавить<br/>";
echo "<script language=\"JavaScript\" src=\"../anekdot/indexjs.php\"></script>";
echo "<a href=\"../anekdot/add.php?id={$id}&amp;pass={$pass}\">Добавить новый анекдот</a><br/>\r\n---\r\n<br/>";
}
break;
default :
if ( 2 == $krutoj )
{
echo "Вы подписались на журнал анекдот!<br/>";
echo "&#187;<b><a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod=a4\">Анекдот</a></b><br/>";
}
echo "\r\n&#187;<a href=\"../mail/index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Письма({$in1}/{$in2})</a><br/>\r\n---<br/>\r\n";
echo "&#187;<b><a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod=a1\">Ваши файлы</a></b><br/>";
$r3 = mysql_query ("select count(id) as num from golos WHERE login = '".$id."'");
$a3 = mysql_fetch_array($r3);
$golos = $a3["num"];
echo "&#187;<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod=a2\">Голоса за ФОТО</a>(".$golos.")<br/>";

echo "&#187;<a href=\"profile.php?id={$id}&amp;pass={$pass}\">Анкета</a><br/>\r\n&#187;<a href=\"setup.php?id={$id}&amp;pass={$pass}\">Настройки чата</a><br/>\r\n&#187;<a href=\"ncol.php?id={$id}&amp;pass={$pass}\">Цвет ника</a><br/>";
echo "&#187;<a href=\"shrift.php?id={$id}&amp;pass={$pass}\">Ваше Графити</a>";
echo "";
echo "<br/>\r\n---<br/>";
echo "<a href=\"drug.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Список друзей</a><br/>"; 
echo "<a href=\"vrag.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Список врагов</a><br/>"; 
echo "<a href=\"ignornew.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Игнор-лист</a><br/>";
##############
$curdata = date( "-m-d" );
$q1 = mysql_query( "SELECT id from users WHERE  bdata LIKE '%$curdata%'" );
$cntr = mysql_num_rows( $q1 );
echo "<a href=\"../bdate.php?id={$id}&amp;pass={$pass}&amp;mod=a1&amp;ref={$ref}\">Дни рождения</a>[{$cntr}]</a><br/>";
#############*/
echo "<br/>\r\n---<br/>";
}
echo "<div class=t>(общественное место)</div>";
echo "<p align=\"left\"><a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая </a>";
echo "<br/>\r\n---<br/>";
echo "<div class=\"bottom\">";  /// Нижний логотип
require("../inc/coper.php");        /// Копирайт
echo "<p>{$ip}</p>";
$end = gettime( );
echo "<p align=\"center\">\r\n[".round( $end - $mystart, 5 )."]";
print "</p></body></html>";
mysql_close( $link );
?>